/// <reference types="react" />
export declare const dataQa: {
    focused: string;
    hovered: string;
};
export declare const extendedSelectMenuWidth = 360;
export declare const PillSelectOptionWrapper: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PillSelectLabel: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("..").PillProps & import("react").RefAttributes<HTMLSpanElement>>, any, {}, never>;
export declare const PillSelectLabelWrapper: import("styled-components").StyledComponent<"div", any, {
    disabled?: boolean | undefined;
}, never>;
export declare const StyledCheckboxContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledCheckmarkContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledWrapper: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledMenu: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledOptions: import("styled-components").StyledComponent<"div", any, {
    $scrollable?: boolean | undefined;
}, never>;
export declare const StyledItemContent: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledOptionGroupLabel: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledItemLabel: import("styled-components").StyledComponent<"div", any, {
    $draggable?: boolean | undefined;
    $selectionStyle?: "checkbox" | "highlight" | "checkmark" | undefined;
}, never>;
export declare const StyledDraggableWrapper: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledGrip: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledFooter: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("../_utils/types").DivAttributes & import("..").BoxProps & import("react").RefAttributes<HTMLDivElement>>, any, {}, never>;
export declare const StyledHeader: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledEmptyMessage: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledSearchContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledGroup: import("styled-components").StyledComponent<"div", any, {
    $clickable?: boolean | undefined;
}, never>;
export declare const StyledItem: import("styled-components").StyledComponent<"div", any, {
    $disabled?: boolean | undefined;
    $selected?: boolean | undefined;
    $highlighted?: boolean | undefined;
    $isDraggable?: boolean | undefined;
    $isDragging?: boolean | undefined;
    $emptyMinHeight?: number | undefined;
    $isDraggingOver?: boolean | undefined;
    $isDraggingDisabled?: boolean | undefined;
}, never>;
export declare const StyledDroppable: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledSelectMenu: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("../_utils/types").DivAttributes & import("..").CardProps & import("react").RefAttributes<HTMLDivElement>>, any, {}, never>;
export declare const StyledLabel: import("styled-components").StyledComponent<"div", any, {
    $hoverable: boolean;
}, never>;
export declare const StyledIndicators: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledClearIcon: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("../Button").ButtonProps & import("react").RefAttributes<HTMLButtonElement>>, any, {}, never>;
export declare const StyledSpinner: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledArrowContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledArrow: import("styled-components").StyledComponent<"span", any, {}, never>;
export declare const StyledArrowOutline: import("styled-components").StyledComponent<"polygon", any, {}, never>;
export declare const StyledArrowFill: import("styled-components").StyledComponent<"polygon", any, {}, never>;
export declare const StyledTrigger: import("styled-components").StyledComponent<"div", any, {
    $block?: boolean | undefined;
    $disabled?: boolean | undefined;
    $error?: boolean | undefined;
    $hasClearIcon?: boolean | undefined;
    $loading?: boolean | undefined;
    $multiple?: boolean | undefined;
    $open?: boolean | undefined;
    $placeholder?: boolean | undefined;
}, never>;
export declare const StyledOverlay: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("../_utils/types").DivAttributes & import("..").CardProps & import("react").RefAttributes<HTMLDivElement>>, any, {}, never>;
export declare const StyledVirtuoso: import("styled-components").StyledComponent<(<ItemData = any, Context = any>(props: import("react-virtuoso").VirtuosoProps<ItemData, Context> & {
    ref?: import("react").Ref<import("react-virtuoso").VirtuosoHandle> | undefined;
}) => import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>>), any, {}, never>;
export declare const StyledEllipses: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledMultiValueContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledMultiValue: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledMultiInputContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledMultiInput: import("styled-components").StyledComponent<"input", any, {
    $isNavigatingTokens?: boolean | undefined;
}, never>;
